vnu-server(1)

NAME
vnu-server – Standalone web server of the Nu Html Checker

SYNOPSIS
JAVA_ARGS="-D[property=value]..." vnu-server [OPTIONS] [port]

DESCRIPTION
vnu-server is the standalone web server of the Nu Html Checker. It uses a built-in Jetty server. Once the server is launched you can access it at http://0.0.0.0:8888 in a browser.

    [!WARNING] Future checker releases will bind by default to the address 127.0.0.1. Your checker deployment might become unreachable unless you use the nu.validator.servlet.bind-address system property to bind the checker to a different address:

When you open http://0.0.0.0:8888 (or whatever URL corresponds to the nu.validator.servlet.bind-address value you’re using), you’ll see a form similar to validator.w3.org/nu (https://validator.w3.org/nu/) that allows you to enter the URL of an HTML document, CSS stylesheet, or SVG image, and have the results of checking that resource displayed in the browser.

OPTIONS

  port

        Port number at which the server is reachable.
        Default: 8888

  -r

  --return-when-ready

        Launch vnu-server in the background and return when ready.

  -s

  --stop

        Stop the vnu-server running in the background.

PROPERTIES

  nu.validator.servlet.bind-address=ip_addess

        Binds the validator service to the specified IP address.
        default: 0.0.0.0 [causes the checker to listen on all interfaces]
        possible values: The IP address of any network interface

        example: nu.validator.servlet.bind-address=127.0.0.1

  nu.validator.servlet.connection-timeout=timeout

        Specifies the connection timeout.
        default: 5000
        possible values: number of milliseconds

        example: nu.validator.servlet.connection-timeout=5000

  nu.validator.servlet.socket-timeout=timeout

        Specifies the socket timeout.
        default: 5000
        possible values: number of milliseconds

        example: nu.validator.servlet.socket-timeout=5000

EXAMPLES
Start a vnu server accessible at http://128.30.52.73:8888.

        JAVA_ARGS="-Dnu.validator.servlet.bind-address=128.30.52.73" vnu-server 8888

Start a vnu server in the background accessible at http://localhost:8899.

        vnu-server --return-when-ready 8899

Stop a vnu server running in the background on port 8899.

        vnu-server --stop 8899

NOTES
If you get a StackOverflowError error when using the checker, try adjusting the thread stack size by providing the -Xss option to java:

           JAVA_ARGS="-Xss512k" vnu-server 8888

SEE ALSO
vnu-client(1), vnu(1)